<!--
  Generated template for the MySalesPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar>
    <ion-title>Mes ventes</ion-title>
    <button ion-button="" menuToggle="">
		<ion-icon name="menu"></ion-icon>
	</button>
  </ion-navbar>

</ion-header>

<ion-content padding>

	<ion-row justify-content-center class="row-top">
		<ion-col col-8 col-sm col-auto> 
			<img src="assets/imgs/bee-logo.png" class="logo-reservation">  
			<h1 class="title_header">Mes ventes</h1>
		</ion-col>
	</ion-row>

	<ion-row justify-content-center margin-top class="content-center" *ngIf="broker$">
			<ion-col col-12 col-sm col-auto >
				<ion-list>
					<ion-card *ngFor="let sale of mySales">
						<ion-card-content>
							<ion-card-title *ngIf="sale?.billing?.name_reserver">
								{{sale?.billing?.name_reserver}} - {{sale?.billing?.cin_reserver}}
							</ion-card-title>
							<ion-card-title *ngIf="!sale?.billing?.name_reserver">
								{{sale?.billing?.name}}
							</ion-card-title>
							<p>Coopérative : {{sale?.cooperative?.name}}</p>
							<p>Trajet      : {{sale?.startstation?.city}} - {{sale?.arrivalstation?.city}} </p>
							<p>Date        : {{sale?.day}}, {{sale?.reservation?.date | date: 'dd/MM/yyyy'}} - {{sale?.hour}}</p>
							<p>Voiture     : {{sale?.reservation?.car}} </p>
							<p>Nombre      : {{sale?.reservation?.nbplace}} </p>
							<p>Montant     : {{sale?.reservation?.amount}} Ar </p>
							<p>
								Bénefice    : {{sale?.benefit}} Ar
								<ion-badge *ngIf="sale.status == true" item-end>payé</ion-badge> 
								<ion-badge *ngIf="sale.status == !true" item-end>Non payé</ion-badge> 
							</p>
							
						</ion-card-content>
					</ion-card>	

				</ion-list>
			</ion-col>
		</ion-row>

</ion-content>
